import { TourGuideClient as TourClient } from '@sjmc11/tourguidejs';
import { ToolbarItemType } from '../../toolbar';
import { Plugin } from '../plugin';
export declare class TourPlugin extends Plugin {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private _tour?;
    private storage;
    get tour(): TourClient | undefined;
    protected init(): void;
    protected disableTour(): Promise<void>;
    protected resolveToolbarItems(): void;
    protected buildTour(): Promise<void>;
    protected steps(): {
        title: string;
        content: HTMLDivElement;
        order: number;
    }[];
    protected firstStep(): {
        title: string;
        content: HTMLDivElement;
        order: number;
    };
    protected lastStep(): {
        title: string;
        content: HTMLDivElement;
        order: number;
    };
}
